package com.heyu.api.data.service.impl.user;
/**
* <p>
* 用户控制涂鸦设备指令表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.user.UserHandlingDeviceDao;
import com.heyu.api.data.entity.user.UserHandlingDeviceEntity;
import com.heyu.api.data.service.user.UserHandlingDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class UserHandlingDeviceServiceImpl extends ServiceImpl<UserHandlingDeviceDao, UserHandlingDeviceEntity> implements UserHandlingDeviceService {


    @Autowired
	private UserHandlingDeviceDao userHandlingDeviceDao;



	@Override
	public UserHandlingDeviceEntity selectUserHandlingDeviceById(Long id){
		return userHandlingDeviceDao.selectUserHandlingDeviceById(id);
	}



	@Override
	public Long insertUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice){
		return userHandlingDeviceDao.insertUserHandlingDevice(userHandlingDevice);
	}



	@Override
	public Long insertOrUpdateUserHandlingDevice(UserHandlingDeviceEntity userHandlingDevice){
		return userHandlingDeviceDao.insertOrUpdateUserHandlingDevice(userHandlingDevice);
	}



	@Override
	public int updateUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice){
		return userHandlingDeviceDao.updateUserHandlingDeviceById(userHandlingDevice);
	}



	@Override
	public int updateCoverUserHandlingDeviceById(UserHandlingDeviceEntity userHandlingDevice){
		return userHandlingDeviceDao.updateCoverUserHandlingDeviceById(userHandlingDevice);
	}



	@Override
	public int deleteUserHandlingDeviceById(Long id){
		return userHandlingDeviceDao.deleteUserHandlingDeviceById(id);
	}



}
